# Homebrew-Cask is not a discoverability service

Ever since the inception of Homebrew-Cask, various requests fell under the umbrella of this reply. Though a somewhat popular request, after careful consideration on multiple occasions we’ve always come back to the same conclusion: we’re not a discoverability service and our users are expected to have reasonable knowledge about the apps they’re installing through us before doing so.

Examples of requests under this same theme:

+ [Separate by categories](https://github.com/caskroom/homebrew-cask/issues/5425).
+ [Rank by popularity](https://github.com/caskroom/homebrew-cask/issues/4323).
+ [Add descriptions](https://github.com/caskroom/homebrew-cask/issues/16089).

Amongst other things, the logistics of such requests are unsustainable for Homebrew-Cask. Before making a request of this nature, you must read through those issues, as well as any other issues they link to, to get a full understanding of why that is the case, and why “but project *x* does *y*” arguments aren’t applicable, and not every package manager is the same.

You should also be able to present clear actionable fixes to those concerns. Simply asking for it without solutions will get your issue closed.

There is a difference between discoverability and searchability, however, and while the former (finding new apps you didn’t know about) is unlikely to ever become part of our goals, the later (identifying the app you know about and want to install) is indeed important to us, and we continue to work on it.
